CNaughtCNaught
PricingSign In

Get Quote for Flight Emissions

Get a price quote for offsetting flight carbon emissions. Will return the amount of CO₂e to offset and total price.

POST/quotes/flight

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

X-Subaccount-Id

string

If present, will use pricing appropriate for the subaccount with given id.

Body#

Quote Parameters

distance_km

number

required

Distance of flight, in km

portfolio_id

string | null

Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.

source

string | null

Optional source of the quote. Defaults to api if not specified, otherwise must be one of api or checkout. Use api if the eventual order will be placed via the Order API. Use checkout if the order will be placed using the Checkout Session API.

Response#

200

Quote Details

Get Quote for Air Freight Emissions

Get Quote for Flight Emissions

curl --request POST \
  --url https://api.cnaught.com/v1/quotes/flight \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "distance_km": 500.5
}'
{
  "amount_kg": 15,
  "price_usd_cents": 2350
}